javax.media.nativewindow

## Interface AbstractGraphicsConfiguration

- All Superinterfaces:
    Cloneable, VisualIDHolder
  All Known Implementing Classes:
    DefaultGraphicsConfiguration

      public interface AbstractGraphicsConfiguration
      extends VisualIDHolder, Cloneable

  A marker interface describing a graphics configuration, visual, or pixel format in a toolkit-independent manner.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.media.nativewindow.VisualIDHolder

      `VisualIDHolder.VIDComparator, VisualIDHolder.VIDType`

  - ### Field Summary

    - ### Fields inherited from interface javax.media.nativewindow.VisualIDHolder

      `VID_UNDEFINED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `CapabilitiesImmutable` | `getChosenCapabilities()` Return the capabilities reflecting this graphics configuration, which may differ from the capabilities used to choose this configuration.
    `AbstractGraphicsConfiguration` | `getNativeGraphicsConfiguration()` In case the implementation utilizes a delegation pattern to wrap abstract toolkits, this method shall return the native `AbstractGraphicsConfiguration`, otherwise this instance.
    `CapabilitiesImmutable` | `getRequestedCapabilities()` Return the capabilities used to choose this graphics configuration.
    `AbstractGraphicsScreen` | `getScreen()` Return the screen this graphics configuration is valid for

    - ### Methods inherited from interface javax.media.nativewindow.VisualIDHolder

      `getVisualID`

- - ### Method Detail

    - #### clone

          Object clone()

    - #### getScreen

          AbstractGraphicsScreen getScreen()

      Return the screen this graphics configuration is valid for

    - #### getChosenCapabilities

          CapabilitiesImmutable getChosenCapabilities()

      Return the capabilities reflecting this graphics configuration, which may differ from the capabilities used to choose this configuration.
      Returns:
        An immutable instance of the Capabilities to avoid mutation by the user.

    - #### getRequestedCapabilities

          CapabilitiesImmutable getRequestedCapabilities()

      Return the capabilities used to choose this graphics configuration. These may be used to reconfigure the NativeWindow in case the device changes in a multiple screen environment.
      Returns:
        An immutable instance of the Capabilities to avoid mutation by the user.

    - #### getNativeGraphicsConfiguration

          AbstractGraphicsConfiguration getNativeGraphicsConfiguration()

      In case the implementation utilizes a delegation pattern to wrap abstract toolkits, this method shall return the native `AbstractGraphicsConfiguration`, otherwise this instance.
      See Also:
        `NativeSurface.getGraphicsConfiguration()`

Copyright 2010 JogAmp Community.